
Ruby - Bug #14134

[BUG] vm_call_cfunc - cfp consistency error

11/28/2017 06:19 AM - koheisg (Kohei SUGI)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.2p198 (2017-09-14 revision

59899) [x86_64-darwin15]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

Rails 5.2.0.beta1 + web_console + meta_request 上記のgemの組み合わせで起こるエラーについて報告いたします。

https://github.com/koheisg/ruby-bug-sample/blob/master/report.txt

History

#1 - 11/28/2017 06:22 AM - koheisg (Kohei SUGI)

- File ruby_2017-11-28-151336_sugikohei-mbp.crash added

#2 - 11/28/2017 01:05 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Third Party's Issue

1. betaのrailsで起こるバグは一義的にはrailsの問題であり、まずはrailsの側にご報告いただけますか。

2. Object#as_jsonが無限ループしているバックトレースが見えますけれども、そもそもループしているデータ構造ではありませんか。

3. このご報告には再現方法が含まれておらず、当方の手元で再現させることはできません。バグ報告の書き方として以下が参考になるかもしれません。 

https://www.chiark.greenend.org.uk/~sgtatham/bugs-jp.html

Files

ruby_2017-11-28-151336_sugikohei-mbp.crash 43 KB 11/28/2017 koheisg (Kohei SUGI)
